<script setup lang="ts">
const props = defineProps<{ id: string }>()

const route = useRoute()

const dmlURL = computed(() => {
  return `${import.meta.env.VITE_DML_URL}/trip/template/${route.query.template_id as string}/rule?experiment_id=${
    props.id
  }`
})
</script>

<template>
  <iframe :src="dmlURL" frameborder="0" class="iframe"></iframe>
</template>

<style lang="scss">
.iframe {
  width: 100%;
  height: 100%;
}
</style>
